<ion-header>
  <ion-toolbar  style="background-color: rgba(170, 72, 209, 0.753); color: white;" color="white">
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/actors"></ion-back-button>
    </ion-buttons>
    <ion-title>{{actor?.first_name}} {{actor?.last_name}}</ion-title>
    <ion-badge color="warning" slot="start">{{actor?.rating}}</ion-badge>
    <ion-button (click)="removeMovie()" style="padding-right: 10px;" color="danger" slot="end" >
      <ion-icon name="trash"></ion-icon>
    </ion-button>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-grid style="background-color: rgba(239, 203, 255, 0.863);">
    <ion-row>
      <ion-col>
        <ion-row>
          <ion-col>
            <h3>Gender: </h3>{{actor?.gender}}
            <h3>Birth date: </h3>{{actor?.birthdate}}
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col>
          <app-rating [votesUp]="actor?.rating" [votesDown]="actor?.rating" (voteUpClick)="onVoteUp(actor)" (voteDownClick)="onVoteDown(actor)"></app-rating>
          </ion-col>
        </ion-row>
      </ion-col>

      <ion-col>
        <ion-card>
          <ion-img [src]="actor?.img"></ion-img>
          <ion-card-header>
            <ion-card-subtitle>{{actor?.bornCity}}</ion-card-subtitle>
            <ion-card-title>{{actor?.first_name}} {{actor?.last_name}}</ion-card-title>
          </ion-card-header>
          <ion-card-content>
        
          </ion-card-content>
        </ion-card>
      </ion-col>

      <ion-col></ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
